import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;

public class TimePanel extends Panel {

  public TimePanel()
    {
      super();
      
      String curYear;
      String curMonth;
      String curDate;
      String fullDate;
      String timetext;
      
      this.removeAll();
      this.setLayout( new GridLayout(2,1) );
      
      TodaysDate today = new TodaysDate();
      
      timebutton = new TextField();
      timetext = "Time: " + today.getFullTime();
      timebutton.setText(timetext);
      add(timebutton);

      Button datebutton = new Button("Date: " + today.getFullDate());
      add(datebutton);
     //  System.out.println("inside timepanel");
      validate();
    }
  

  public void setTime()
  {
    String timetext;
  //   timetext = "Time: " + today.getFullTime();
    // timebutton.setText(timetext);


  }

  private TextField timebutton;

 
}
  


